import type { Worksheet } from "@excel/worksheet";
interface AnchorModel {
    nativeCol: number;
    nativeRow: number;
    nativeColOff: number;
    nativeRowOff: number;
}
interface SimpleAddress {
    col: number;
    row: number;
}
type AddressInput = string | AnchorModel | SimpleAddress;
declare class Anchor {
    nativeCol: number;
    nativeRow: number;
    nativeColOff: number;
    nativeRowOff: number;
    worksheet?: Worksheet;
    constructor(worksheet?: Worksheet, address?: AddressInput | null, offset?: number);
    static asInstance(model: AddressInput | Anchor | null | undefined): Anchor | null;
    get col(): number;
    set col(v: number);
    get row(): number;
    set row(v: number);
    get colWidth(): number;
    get rowHeight(): number;
    get model(): AnchorModel;
    set model(value: AnchorModel);
}
export { Anchor };
export type { AnchorModel };
type IAnchor = Pick<InstanceType<typeof Anchor>, "col" | "row" | "nativeCol" | "nativeRow" | "nativeColOff" | "nativeRowOff">;
export type { IAnchor };
